% ====================================================================
%
% Calculation of Period and Resonance Curve for SkyMaster
%
% CBP 15-03-21
% RELEASE
%
% ====================================================================

disp('Choose: 1 for period calculations with default parameter set (fast system) ');
disp('        2 for resonance curve for default parameter set (fast system) ');
disp('        3 for resonance curve for default parameter set (slow system) ');
choice = input('');

if (choice == 1)
m = 1;
g = 9.8;
L = 0.2824;
b = 0.1;
T =  2*pi/sqrt((g/L) - (b/(2*m*L^2))^2);
% Uncomment following to get non-linear correction
%initTheta = input('Input initial Theta');
%T = T*(1 + (1/16)*initTheta^2);
disp(' T = '); disp(T);

elseif (choice == 2)
m = 1;
g = 9.8;
L = 0.2824;
b = 0.1;
Fa = input('Input forcing amplitude ');
Tfree =  2*pi/sqrt((g/L) - (b/(2*m*L^2))^2)
T = [0:2*Tfree/1000:2*Tfree];

om = (2*pi)./T;
om0 = sqrt(g/L);

c = b/(m*L^2);

A = (Fa/(m*L^2))./sqrt( (om.^2 - g/L).^2 + om.^2*c^2 );

plot(T,A);
xlabel('Period (secs)');
ylabel(' (m)');
grid;

elseif (choice == 3)
m = 1;
g = 9.8;
L = 5.0;
b = 1;
Fa = input('Input forcing amplitude ');
Tfree =  2*pi/sqrt((g/L) - (b/(2*m*L^2))^2)
T = [0:2*Tfree/1000:2*Tfree];

om = (2*pi)./T;
om0 = sqrt(g/L);

c = b/(m*L^2);

A = (Fa/(m*L^2))./sqrt( (om.^2 - g/L).^2 + om.^2*c^2 );

plot(T,A);
xlabel('Period (secs)');
ylabel(' (m)');
grid;

endif